package com.mortals.xhx.modules.implementlist.dao.ibatis;

import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
import com.mortals.xhx.modules.implementlist.dao.RybWorkDao;
import com.mortals.xhx.modules.implementlist.model.ImplementlistEntity;
import com.mortals.xhx.modules.implementlist.model.RybWorkEntry;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
* <p>Title: 实施清单主表</p>
* <p>Description: ImplementlistDaoImpl DAO接口 </p>
* @author
* @version 1.0.0
*/
@Repository("rybWordDao")
public class RybWorkDaoImpl extends BaseCRUDDaoMybatis<ImplementlistEntity,Long> implements RybWorkDao {

    @Override
    public List<RybWorkEntry> find(String deptCode) {
        return getSqlSession().selectList(getSqlId("findRyb"),deptCode);
    }

    @Override
    public void inserts(List<RybWorkEntry> rybWorkEntries) {
        getSqlSession().insert(getSqlId("insertRyb"),rybWorkEntries);
    }
}
